Subject: [PATCH v3 1/2] dmaengine: add interface of dma_get_slave_channel

From: [email-masked] (Vinod Koul)
Date: Tue, 20 Aug 2013 13:52:31 +0530

On Tue, Aug 20, 2013 at 03:58:41PM +0800, zhangfei gao wrote:
> > No, this is not the right approach.
> >
> > When patch is applied and you find an issue you fix the issue. I have already
> > pushed and merged this. So removing is a bad idea.
> > you provide a fix for this miss.
> >
> > Also for this you need to give due credit to Dan (reporter). That is how the
> > process works.
> >
> > Anyway I have applied the below fix and will push it out.
> >
> > ---
> > dmaengine: fix - error: potential NULL dereference 'chan'
> >
> > commit 7bb587f4 "dmaengine: add interface of dma_get_slave_channel" introduced
> > the above error so fix it
> >
> > Reported-by: Dan Carpenter <[email-masked]>
> > Suggested-by: Zhangfei Gao <[email-masked]>
> > Signed-off-by: Vinod Koul <[email-masked]>
> 
> Thanks Vinod for the kind education.
> Understand, will take care next time.
No issues...

> 
> BTW, it is strange I do not see such compile warning here :(
Try running smatch and you will see. Compiler will not worry about these, static
checkers would. Since the bug report is from Dan, my guess is it would be
triggered by Smatch.

~Vinod